summaryrefslogtreecommitdiffstats
path: root/source/l/boost/boost.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/boost/boost.SlackBuild')
-rwxr-xr-xsource/l/boost/boost.SlackBuild27
1 files changed, 19 insertions, 8 deletions
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index bb9e8e8fb..508c8ff94 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -2,7 +2,7 @@
# Copyright 2007, 2008 Eric Hameleers, Eindhoven, NL
# Copyright 2007-2008 Heinz Wiesinger
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,9 +25,19 @@
# bjam-build system mostly taken from SlackBuild by Eric Hameleers
# Script modified by Robby Workman - no copyright claims or added terms
-VERSION=1_38_0
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=boost
+VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d _)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -45,17 +55,18 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf boost_$VERSION
-tar xvf $CWD/boost_$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/boost_$VERSION.tar.?z* || exit 1
cd boost_$VERSION || exit 1
-zcat $CWD/boost.ifdef_placement.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -132,7 +143,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/boost-$PKG_VERSION
# Do not copy 44MB of developer 'doc/html' into our package...
-cp -a LICENSE_1_0.txt $PKG/usr/doc/boost-$PKG_VERSION
+cp -a LICENSE* index.html $PKG/usr/doc/boost-$PKG_VERSION
find $PKG/usr/doc -type f -exec chmod 0644 {} \;
mkdir -p $PKG/install